Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class FingerprintDriver

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.FingerprintDriver

    public class FingerprintDriver

extends java.lang.Object

This class drives the schema fingerprinting process.

(Unpublished)

Field Summary
`static java.lang.String` | `NEWLINE` System newline string.
`static char[]` | `NEWLINE_CHARS` System newline sequence of characters.
`static java.lang.String` | `PROPERTIES_FILE` The name of the properties file parameter
`static java.lang.String` | `RULES_FILE` The name of the rule file parameter

Constructor Summary
`FingerprintDriver(java.lang.String[] args)` This is constructor initializes all the parameters passed from the command-line.

Method Summary
`static boolean` | `debugModeEnabled()` Returns true if the driver is running in debug mode.
`void` | `dispose()` Disposes the driver.
`static void` | `main(java.lang.String[] args)` Standalone main.
`static void` | `newLine(org.xml.sax.ContentHandler out)` Outputs a new line to the stream.
`void` | `run()` Runs the fingerprinting process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULES_FILE

    public static final java.lang.String RULES_FILE

  Description copied from class: `FingerprintDriver`
  The name of the rule file parameter

  See Also:
    Constant Field Values

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

  Description copied from class: `FingerprintDriver`
  The name of the properties file parameter

  See Also:
    Constant Field Values

### NEWLINE

    public static final java.lang.String NEWLINE

  Description copied from class: `FingerprintDriver`
  System newline string.

  (Unpublished)

### NEWLINE_CHARS

    public static final char[] NEWLINE_CHARS

  Description copied from class: `FingerprintDriver`
  System newline sequence of characters.

  (Unpublished)

Constructor Detail

### FingerprintDriver

    public FingerprintDriver(java.lang.String[] args)
                      throws java.lang.Exception

  This is constructor initializes all the parameters passed from the command-line.

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception` - if operation fails

Method Detail

### debugModeEnabled

    public static boolean debugModeEnabled()

  Description copied from class: `FingerprintDriver`
  Returns true if the driver is running in debug mode.

  Returns:
    `true` if running in debug mode
  (Unpublished)

### run

    public void run()
             throws IfsException

  Description copied from class: `FingerprintDriver`
  Runs the fingerprinting process.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### dispose

    public void dispose()

  Description copied from class: `FingerprintDriver`
  Disposes the driver. Must be called when the driver is no longer needed to clean up and free resources.

  (Unpublished)

### newLine

    public static void newLine(org.xml.sax.ContentHandler out)
                        throws org.xml.sax.SAXException

  Description copied from class: `FingerprintDriver`
  Outputs a new line to the stream.

  Parameters:
    `out` - the output stream
  Throws:
    `org.xml.sax.SAXException` - if the operation fails
  (Unpublished)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Description copied from class: `FingerprintDriver`
  Standalone main.

  Parameters:
    `args` - command line configuration arguments
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD